package CalculiX;

class EConstant extends Expression {

  // The constant.
  final Value k;

  EConstant (double d)
  {
    this.k = new VDouble (d);
  }

  EConstant (boolean b)
  {
    this.k = new VBoolean (b);
  }
  
  public Value eval (Environment env)
  {
    // A constant is its own value.
    return k;
  }

}
