package CalculiX;

class EVarRead extends Expression {

  // The variable that is being read.
  final String x;

  EVarRead (String x)
  {
    this.x = x;
  }
  
  public Value eval (Environment env) throws EvalException
  {
    // Query the environment to find the value associated with
    // this variable.
    return env.search(x);
  }

}

