import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;

import javax.swing.JPanel;

@SuppressWarnings("serial")
public class MonDessin2 extends JPanel {
  private static final int SCALE = 100;
  private static final int WIDTH = 2 * SCALE;
  private static final int HEIGHT = 2 * SCALE;

  public MonDessin2() {
    this.setPreferredSize(new Dimension(WIDTH, HEIGHT));
    this.setBackground(Color.WHITE);
    this.setOpaque(true);
  }

  private static final double A = 0.0100001;
  private static final double B = 0.02;
  private static final double D = 2.0;

  private int x(int t) {
    return (int) (SCALE * (1 + Math.sin(A * t + D)));
  }

  private int y(int t) {
    return (int) (SCALE * (1 + Math.sin(B * t)));
  }

  public void paintComponent(Graphics g) {
    super.paintComponent(g);
    int t = 0;
    int loop = 0;
    while (loop < 100) {
      g.drawLine(x(t), y(t), x(t + 1), y(t + 1));
      ++t;
      if (t % 100000 == 0)
        ++loop;
    }
  }

}
